{% extends 'base.html' %}
{% load static %}

{% block title %}
<title>Tugas 4 PPW 2019</title>
<link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}" />
<link rel="stylesheet" href="{% static 'css/newStyle.css' %}">
<link rel="stylesheet" href="{% static 'css/styles.css' %}">
<script type="text/javascript" src="static/js/news.js"></script>
{% endblock %}

    {% block content %}
    <header class="landing" id="landing-section">
        <div class="text-landing">
            <h1 style="font-size: 48px;">Hi!</h1>
            <h1 style="font-size: 48px;">My Name is <span class="text-color1">Muhammad Salman Al Farisi</span></h1>
            <h4>I'm a sophomore in Computer Science at University of Indonesia</h1>
            <br>
            <a href="https://drive.google.com/file/d/0B_kZXRDCc_QSeFZrX1Zhc2wxMS1kRmxIY3NBaEUtVWxCdV9z/view?usp=sharing">
                <h4 class="text-color2">Link to my portofolio</h4>    
            </a>
        </div>
        <div class="logo-landing">
            <a href="https://www.instagram.com/msalman.1505/">
                <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 32 32" version="1.1" width="64px" height="64px">
                    <g id="surface1">
                      <path style=" " d="M 11.46875 5 C 7.917969 5 5 7.914063 5 11.46875 L 5 20.53125 C 5 24.082031 7.914063 27 11.46875 27 L 20.53125 27 C 24.082031 27 27 24.085938 27 20.53125 L 27 11.46875 C 27 7.917969 24.085938 5 20.53125 5 Z M 11.46875 7 L 20.53125 7 C 23.003906 7 25 8.996094 25 11.46875 L 25 20.53125 C 25 23.003906 23.003906 25 20.53125 25 L 11.46875 25 C 8.996094 25 7 23.003906 7 20.53125 L 7 11.46875 C 7 8.996094 8.996094 7 11.46875 7 Z M 21.90625 9.1875 C 21.402344 9.1875 21 9.589844 21 10.09375 C 21 10.597656 21.402344 11 21.90625 11 C 22.410156 11 22.8125 10.597656 22.8125 10.09375 C 22.8125 9.589844 22.410156 9.1875 21.90625 9.1875 Z M 16 10 C 12.699219 10 10 12.699219 10 16 C 10 19.300781 12.699219 22 16 22 C 19.300781 22 22 19.300781 22 16 C 22 12.699219 19.300781 10 16 10 Z M 16 12 C 18.222656 12 20 13.777344 20 16 C 20 18.222656 18.222656 20 16 20 C 13.777344 20 12 18.222656 12 16 C 12 13.777344 13.777344 12 16 12 Z "/>
                    </g>
                </svg>
            </a>

            <a href="https://www.linkedin.com/in/msalmanalfarisi/">
                <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 32 32" version="1.1" width="64px" height="64px">
                    <g id="surface1">
                      <path style=" " d="M 7.5 5 C 6.132813 5 5 6.132813 5 7.5 L 5 24.5 C 5 25.867188 6.132813 27 7.5 27 L 24.5 27 C 25.867188 27 27 25.867188 27 24.5 L 27 7.5 C 27 6.132813 25.867188 5 24.5 5 Z M 7.5 7 L 24.5 7 C 24.785156 7 25 7.214844 25 7.5 L 25 24.5 C 25 24.785156 24.785156 25 24.5 25 L 7.5 25 C 7.214844 25 7 24.785156 7 24.5 L 7 7.5 C 7 7.214844 7.214844 7 7.5 7 Z M 10.4375 8.71875 C 9.488281 8.71875 8.71875 9.488281 8.71875 10.4375 C 8.71875 11.386719 9.488281 12.15625 10.4375 12.15625 C 11.386719 12.15625 12.15625 11.386719 12.15625 10.4375 C 12.15625 9.488281 11.386719 8.71875 10.4375 8.71875 Z M 19.46875 13.28125 C 18.035156 13.28125 17.082031 14.066406 16.6875 14.8125 L 16.625 14.8125 L 16.625 13.5 L 13.8125 13.5 L 13.8125 23 L 16.75 23 L 16.75 18.3125 C 16.75 17.074219 16.996094 15.875 18.53125 15.875 C 20.042969 15.875 20.0625 17.273438 20.0625 18.375 L 20.0625 23 L 23 23 L 23 17.78125 C 23 15.226563 22.457031 13.28125 19.46875 13.28125 Z M 9 13.5 L 9 23 L 11.96875 23 L 11.96875 13.5 Z "/>
                    </g>
                </svg>
            </a>

            <a href="https://github.com/AlphaRazra">
                <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 32 32" version="1.1" width="64px" height="64px">
                    <g id="surface1">
                      <path style=" fill-rule:evenodd;" d="M 16 4 C 9.371094 4 4 9.371094 4 16 C 4 21.300781 7.4375 25.800781 12.207031 27.386719 C 12.808594 27.496094 13.027344 27.128906 13.027344 26.808594 C 13.027344 26.523438 13.015625 25.769531 13.011719 24.769531 C 9.671875 25.492188 8.96875 23.160156 8.96875 23.160156 C 8.421875 21.773438 7.636719 21.402344 7.636719 21.402344 C 6.546875 20.660156 7.71875 20.675781 7.71875 20.675781 C 8.921875 20.761719 9.554688 21.910156 9.554688 21.910156 C 10.625 23.746094 12.363281 23.214844 13.046875 22.910156 C 13.15625 22.132813 13.46875 21.605469 13.808594 21.304688 C 11.144531 21.003906 8.34375 19.972656 8.34375 15.375 C 8.34375 14.0625 8.8125 12.992188 9.578125 12.152344 C 9.457031 11.851563 9.042969 10.628906 9.695313 8.976563 C 9.695313 8.976563 10.703125 8.65625 12.996094 10.207031 C 13.953125 9.941406 14.980469 9.808594 16 9.804688 C 17.019531 9.808594 18.046875 9.941406 19.003906 10.207031 C 21.296875 8.65625 22.300781 8.976563 22.300781 8.976563 C 22.957031 10.628906 22.546875 11.851563 22.421875 12.152344 C 23.191406 12.992188 23.652344 14.0625 23.652344 15.375 C 23.652344 19.984375 20.847656 20.996094 18.175781 21.296875 C 18.605469 21.664063 18.988281 22.398438 18.988281 23.515625 C 18.988281 25.121094 18.976563 26.414063 18.976563 26.808594 C 18.976563 27.128906 19.191406 27.503906 19.800781 27.386719 C 24.566406 25.796875 28 21.300781 28 16 C 28 9.371094 22.628906 4 16 4 Z "/>
                    </g>
                </svg>
            </a>
        </div>
    </header>

    <section id="about">
        <div class="container text-center">
            <h2 class="header-section">ABOUT ME</h1>
        </div>
        <div class="container-about">
            <div class="container-about2">
                <div>
                    <img src="static/img/PasFoto.jpg" class="pas-foto" alt="Foto Salman">
                </div>
                <div>
                    <p class="text-about">
                            A student of <span class="text-color2">Computer Science</span> at University of Indonesia who is interested in <span class="text-color2">full-stack development</span> 
                            and aims to contribute to the world through technology innovations.
                    </p>
                    </br>
                    <p class="text-about"> 
                            My first experience with programming was through <span class="text-color2">Competitive Programming</span> 
                            to compete in National Science Olympiad when I was in middle school. 
                    </p>
                    </br>
                    <p class="text-about">        
                            <span class="text-color2">My internship experience</span> 
                            and background in <span class="text-color2">Informatics Olympiad</span> have really shaped myself to the point where I am today. I enjoy exploring the tech world and keep improving both my technical and soft skills every day. 
                    </p>
                </div>
            </div>
        </div>
    </section>
    
    <section id="education">
        <div class="container text-center">
            <h2 class="header-section">EDUCATIONS</h1>
        </div>
        <ul class="container-education">
            <li class="container-education2">
                <div class="date-and-photo">
                    <div class="date">
                        <div>Depok, Indonesia</div>
                        <div>Aug '18 - Present</div>
                    </div>
                    <div class="foto2">
                        <img src="static/img/Makara_UI.png" alt="Logo Kecil" class="small-logo">
                    </div>
                </div>
                <div class="date-and-place2">
                    <div class="description">
                        <div class="panel-header">Computer Science Undergraduate Student - <span class="text-color2">University of Indonesia</span></div>
                        <div class="panel-content" style="font-weight: bold">Current CGPA: 3.92</div>
                    </div>
                </div>
            </li>
            <li class="container-education2">
                <div class="date-and-photo">
                    <div class="date">
                        <div>Magelang, Indonesia</div>
                        <div>Jul '15 - Jun '18</div>
                    </div>
                    <div class="foto2">
                        <img src="static/img/smatn.png" alt="Logo Kecil" class="small-logo">
                    </div>
                </div>
                <div class="date-and-place2">
                    <div class="description">
                        <div class="panel-header">High School Diploma - <span class="text-color2">SMA Taruna Nusantara</span></div>
                        <div class="panel-content">Activities and Societies: Lead of Taruna Nusantara Computer Club.</div>
                        <div class="panel-content">Overall GPA: 89.50</div>
                    </div>
                </div>
            </li>
        </ul>
    </section>
    
    <section id="experience">
        <div class="container text-center">
            <h2 class="header-section">EXPERIENCE</h1>
        </div>
        <ul class="container-education">
            <li class="container-education2">
                <div class="date-and-photo">
                    <div class="date">
                        <div>Depok, Indonesia</div>
                        <div>Sep '19 - Present</div>
                    </div>
                    <div class="foto2">
                        <img src="static/img/Makara_UI.png" alt="Logo Kecil" class="small-logo">
                    </div>
                </div>
                <div class="date-and-place2">
                    <div class="description">
                        <div class="panel-header">Teaching Assistant - <span class="text-color2">University of Indonesia</span></div>
                        <div class="panel-content">Tutored and graded 14 Computer Science freshmans’ in "Fundamentals of Programming I" course by teaching Python 3 as their first programming language.</div>
                    </div>
                </div>
            </li>
            <li class="container-education2">
                <div class="date-and-photo">
                    <div class="date">
                        <div>Jakarta, Indonesia</div>
                        <div>Jun '19 - Aug '19</div>
                    </div>
                    <div class="foto2">
                        <img src="static/img/dekoruma.jpg" alt="Logo Kecil" class="small-logo">
                    </div>
                </div>
                <div class="date-and-place2">
                    <div class="description">
                        <div class="panel-header">Software Engineering Intern - <span class="text-color2">Dekoruma</span></div>
                        <div class="panel-content">• Sync shipment status between 2 microservices using lightweight message broker, RabbitMQ.</div>
                        <div class="panel-content">• Improve featured product ranking algorithm to help consumer find theirs desire products.</div>
                        <div class="panel-content">• Implemented cart and checkout system of Dekoruma’s marketplace in web platform using React and Redux backed by strong tests utilizing Django-REST API</div>
                    </div>
                </div>
            </li>
        </ul>
    </section>

    <section id="achievement">
        <div class="container text-center">
            <h2 class="header-section">ACHIEVEMENTS</h1>
        </div>
        <ul class="container-achievement">
            <li class="container-achievement2">
                <div class="foto">
                    <img src="static/img/trophy.png" alt="Logo Kecil" class="trophy">
                </div>
                <div class="description">
                    <div class="panel-content"><span class="text-color2">[International]</span> Bronze Medal, 2018 International Olympiad in Informatics, Japan.</div>
                    <div class="panel-content">• I won a bronze medal in IOI 2018 representing my home country, Indonesia. I was ranked 125 out of 335 participants from 88 countries in the world.</div>
                </div>
            </li>
            <li class="container-achievement2">
                <div class="foto">
                    <img src="static/img/trophy.png" alt="Logo Kecil" class="trophy">
                </div>
                <div class="description">
                    <div class="panel-content"><span class="text-color2">[International]</span> Bronze Medal (8th Place), 2018 ACM-ICPC Asia Jakarta Regional Contest</div>
                    <div class="panel-content">• Programming contest attended by qualified teams from universities in Asia, and achieved 2nd best local team.</div>
                </div>
            </li>
            <li class="container-achievement2">
                <div class="foto">
                    <img src="static/img/trophy.png" alt="Logo Kecil" class="trophy">
                </div>
                <div class="description">
                    <div class="panel-content"><span class="text-color2">[National]</span> Gold Medal, 2018 Informatics in National Science Olympiad</div>
                    <div class="panel-content">• Held by Ministry of Education and Culture for High School Students. Attended by high school students all over Indonesia who had been selection in province-level competition.</div>
                </div>
            </li>
            <li class="container-achievement2">
                <div class="foto">
                    <img src="static/img/trophy.png" alt="Logo Kecil" class="trophy">
                </div>
                <div class="description">
                    <div class="panel-content"><span class="text-color2">[National]</span> 1st Winner, 2019 Ngoding Seru</div>
                    <div class="panel-content">• Held by Tim Olimpiade Komputer Indonesia (TOKI).  Attended by best competitive programmer in Indonesia</div>
                </div>
            </li>
        </ul>
    </section>
    {% endblock %}

    {% block javascript %}
    {% endblock %}
    
